define(function (require) {
  var App = require('app');
  var Medication = require('medication');

  return Backbone.Collection.extend({
    model: Medication,

    initialize: function (opts) {
      this.options = opts || {};
    },
    url: function () {
      return App.Resources.get('vamom-medications-detail').href + '?veteranId=' + App.Resources.user.id;
    }

  });
});
