define(function (require) {
  var App = require('app');

  return Backbone.Marionette.Controller.extend({

    initialize: function () {
      this.listenTo(App.vent, 'session:warning', this.sessionWarning);
      this.listenTo(App.vent, 'session:ended', this.sessionEnded);
      this.listenTo(App.vent, 'session:wokeUp', this.sessionWakeUp);
    },
    sessionWarning: function () {
      //App.vent.trigger('popup:show', 'showSessionWarning');
      App.router.popups.showSessionWarning();
    },
    sessionEnded: function () {
      App.vent.trigger('popup:destroyAll');
      App.cleanUpSession();
      App.vent.trigger('popup:show', 'showSessionEnded');
    },
    sessionWakeUp: function () {
      App.resetSessionTimer();
    }

  });
});
