define(function (require) {
  var App = require('app');

  return Backbone.Model.extend({

    defaults: {
      allergy: '',
      firstOccurred: '',
      rash: false,
      hives: false,
      breathingProblems: false,
      vomiting: false,
      swelling: false,
      other: false,
      otherReactions: '',
      severity: '',
      description: '',
      diagnosed: false,
      provider: '',
      facility: '',
      comments: '',
      deleteAllergy: false
    },
    initialize: function (opts) {
      this.options = opts || {};
    },
    url: function () {
      return App.Resources.get('vamom-allergies-detail').href + '?veteranId=' + App.Resources.user.id;
    }
  });
});
