define(function (require) {
  var App = require('app');

  return Backbone.Model.extend({

    defaults: {
      diagnosisName: '',
      comments: '',
      onsetDate: '',
      status: false,
      deleteDiagnosis: false
    },
    initialize: function (opts) {
      this.options = opts || {};
    },
    url: function () {
      return App.Resources.get('vamom-diagnosis-detail').href + '?veteranId=' + App.Resources.user.id;
    }
  });
});
