define(function (require) {
  var App = require('app');

  return Backbone.Model.extend({

    defaults: {
      profile: '',
      allergiesList: '',
      diagnosisList: '',
      geneticScreeningList: '',
      labs: '',
      medicationsList: '',
      ultrasoundList: '',
      vaccinations: '',
      pregOutcome: '',
    },
    initialize: function (opts) {
      this.options = opts || {};
    },
    url: function () {
      return App.Resources.get('vamom-export-details').href + '?veteranId=' + App.Resources.user.id;
    }

  });
});
