define(function (require) {
  var App = require('app');

  return Backbone.Model.extend({

    defaults: {
      bloodType: '',
      rhType: '',
      antibodyScreen: '',
      papSmear: '',
      rubella: '',
      varicella: '',
      hepatitisB: '',
      gonorrhea: '',
      chlamydia: '',
      urineCulture: '',
      rpr: '',
      glucoseTolerance: '',
      gttStatus: '',
      glucoseLevel: '',
      groupBStrep: '',
      labTests: []
    },
    initialize: function (opts) {
      this.options = opts || {};
    },
    url: function () {
      return App.Resources.get('vamom-labs-detail').href + '?veteranId=' + App.Resources.user.id;
    }

  });
});
