define(function (require) {
  var App = require('app');

  return Backbone.Model.extend({

    defaults: {
      outcomeList: [{
        outcome: '',
        otherOutcome: '',
        endDate: '',
        sex: false,
        weight: '',
        length: '',
        firstName: '',
        lastName: '',
        comments: ''
      }]
    },
    initialize: function (opts) {
      this.options = opts || {};
    },
    url: function () {
      return App.Resources.get('vamom-pregnancy-outcome').href + '?veteranId=' + App.Resources.user.id;
    }

  });
});
