define(function (require) {
  var App = require('app');

  return Backbone.Model.extend({

    defaults: {
      ultrasoundDate: '',
      deleteUltrasound: false,
      fetuses: [{
        efw: {weight: '', metric: true},
        ega: {weeks: '', days: ''},
        ultrasoundEDD: '',
        comments: ''
      }]
    },
    initialize: function (opts) {
      this.options = opts || {};
    },
    url: function () {
      return App.Resources.get('vamom-ultrasounds-detail').href + '?veteranId=' + App.Resources.user.id;
    }

  });
});
