define(function (require) {
  var App = require('app');
  var template = require('text!../html/footerView.html');

  return Backbone.Marionette.ItemView.extend({
    id: 'footer',
    tagName: 'div',
    className: '',
    template: _.template(template),

    serializeData: function () {
      return {
        appName: App.name,
        version: App.version,
        checkLoggedIn: App.Resources.isLoggedIn(),
        userName: App.Resources.getUserName()
      };
    },

    events: {

    }

  });
});
