define(function (require) {
  var App = require('app');
  var template = require('text!../html/popup/dataAcceptView.html');

  return Backbone.Marionette.ItemView.extend({
    id: 'modalBox',
    tagName: 'div',
    template: _.template(template),

    serializeData: function () {
      return {
        launchpad: '../launchpad'
      };
    },
    events: {
      'click #accept-btn': 'setAcceptance'
    },
    initialize: function () {
      App.vent.trigger('update:footer');
    },
    setAcceptance: function () {
      localStorage.setItem('shareDataAccepted', true);
      setTimeout(function () {
        $('.focus-first').focus();
      }, 150);
    }

  });
});
