require_relative 'Functions'
require "json"
require "selenium-webdriver"
gem "test-unit"
require "test/unit"

class LaunchApp < Test::Unit::TestCase
  def setup
    @driver = Selenium::WebDriver.for :firefox
    @accept_next_alert = true
    @driver.manage.timeouts.implicit_wait = 30
    @verification_errors = []

    set_variables()

  end

  def teardown
    @driver.quit
    assert_equal [], @verification_errors

  end

#MTS-35 Login Page
  def test_Login
      accept_eula()
      sleep(5)
      assert(@driver.page_source.include?("Any data entered in this app will be shared with"), "Additional confirmation page not dispalyed")
      sleep(5)
      @driver.find_element(:id, "accept-btn").click
      sleep(5)
      @driver.find_element(:id, "login").click
      sleep(1)
      @driver.find_element(:id, "name-c").clear
      @driver.find_element(:id, "name-c").send_keys "zztest.patient01"
      @driver.find_element(:id, "password").clear
      @driver.find_element(:id, "password").send_keys "pass"
      @driver.find_element(:id, "loginButton").click

      # verify the name of app, intro text and login button are present in the main page
      assert(@driver.page_source.include?("VA Moms"), "App name not present on home page.")

    end

  end




