require_relative 'Functions'
require "json"
require "selenium-webdriver"
gem "test-unit"
require "test/unit"

class LaunchApp < Test::Unit::TestCase
  def setup
    @driver = Selenium::WebDriver.for :firefox
    @accept_next_alert = true
    @driver.manage.timeouts.implicit_wait = 30
    @verification_errors = []

    set_variables()

  end

  def teardown
    @driver.quit
    assert_equal [], @verification_errors

  end

def test_Logout
  #MTS-35 Logout

  @driver.get(@launch_pad_url)
  verify {assert(@driver.find_element(:partial_link_text, "VA Moms"), "Unable to find app icon on Launchpad")}
  @driver.find_element(:partial_link_text, "VA Moms").click
  accept_eula()
  sleep(5)
  assert(@driver.page_source.include?("Any data entered in this app will be shared with"), "Additional confirmation page not dispalyed")
  sleep(5)
  @driver.find_element(:id, "accept-btn").click
  sleep(5)
  @driver.find_element(:id, "login").click
  sleep(1)
  @driver.find_element(:id, "name-c").clear
  @driver.find_element(:id, "name-c").send_keys "zztest.patient01"
  @driver.find_element(:id, "password").clear
  @driver.find_element(:id, "password").send_keys "pass"
  @driver.find_element(:id, "loginButton").click
  sleep(5)
  @driver.find_element(:id, "user-menu-btn").click
  sleep(5)
  @driver.find_element(:id, "logout").click
  verify {assert(@driver.find_element(:partial_link_text, "VA Moms"), "Unable to load the Launchpad")}

end

end
