define(function (require) {
  var App = require('app');

  return Backbone.Model.extend({

    defaults: {
      appointmentDate: '',
      entryTitle: '',
      providerName: '',
      visitReason: '',
      visitNotes: '',
      bloodPressure: '',
      currWgt: '',
      fetalHeartBeatPresent: false,
      fundalHeight: '',
      pregRelatedProblems: ''
    },
    initialize: function (opts) {
      this.options = opts || {};
    },
    url: function () {
      return App.Resources.get('vamom-journal-detail').href + '?veteranId=' + App.Resources.user.id;
    }

  });
});
