define(function (require) {
  var App = require('app');

  return Backbone.Model.extend({

    defaults: {
      amnio: false,
      sickleCell: false,
      cystic: false,
      canavan: false,
      quad: false,
      counseling: false,
      cvs: false,
      thalassemia: false,
      taySach: false,
      other: false,
      otherTestName: '',
      testDate: '',
      testResult: '',
      testNotes: '',
      deleteScreening: false

    },
    initialize: function (opts) {
      this.options = opts || {};
    },
    url: function () {
      return App.Resources.get('vamom-genetic-screening').href + '?veteranId=' + App.Resources.user.id;
    }

  });
});
