define(function (require) {
  var App = require('app');

  return Backbone.Model.extend({

    defaults: {
      veteranId: '',
      nameFirst: '',
      nameLast: '',
      lmp: '',
      edd: '',
      noOfPregs: '',
      noOfDeliveries: '',
      wbp: '',
      currWgt: '',
      obProvider: '',
      obContacts: [{contactInfo: '', contactType: ''}],
      mcc: '',
      mccContact: '',
      labDueItems: 0
    },
    initialize: function (opts) {
      this.options = opts || {};
    },
    url: function () {
      return App.Resources.get('vamom-profile').href + '?veteranId=' + App.Resources.user.id;
    }

  });
});
