define(function (require) {
  var App = require('app');
  var template = require('text!../html/aboutView.html');

  return Backbone.Marionette.ItemView.extend({
    id: '',
    tagName: 'div',
    className: 'about container',
    template: _.template(template),
    header: {
      outer: 'About'
    },
    serializeData: function () {
      return {
        version: App.version
      };
    }
  });
});
