define(function (require) {
  var App = require('app');
  var template = require('text!../html/popup/sessionEndedView.html');

  return Backbone.Marionette.ItemView.extend({
    id: 'modalBox',
    tagName: 'div',
    template: _.template(template),

    serializeData: function () {
      return {
        launchpad: '../launchpad'
      };
    },
    events: {
      'click #login-btn': 'loginAgain'
    },
    initialize: function () {
      App.vent.trigger('update:footer');
    },
    loginAgain: function (e) {
      e.preventDefault();
      App.login();
    }

  });
});
