require_relative 'Functions'
require "json"
require "selenium-webdriver"
gem "test-unit"
require "test/unit"

class LaunchApp < Test::Unit::TestCase
  def setup
    @driver = Selenium::WebDriver.for :firefox
    @accept_next_alert = true
    @driver.manage.timeouts.implicit_wait = 30
    @verification_errors = []

    set_variables()

  end

  def teardown
    @driver.quit
    assert_equal [], @verification_errors

  end
#MTS-37 About
  def test_About

#@driver.get(@launch_pad_url)
#verify {assert(@driver.find_element(:partial_link_text, "VA Moms"), "Unable to find app icon on Launchpad")}
#@driver.find_element(:partial_link_text, "VA Moms").click
    ##verify {assert(@driver.find_element(:xpath, "//div[@id='header']/div/h1"), "Unable to load the VA Moms app from launchpad")}
    accept_eula()
    sleep(5)
    assert(@driver.page_source.include?("Any data entered in this app will be shared with"), "Additional confirmation page not dispalyed")
    sleep(5)
    @driver.find_element(:id, "accept-btn").click
    sleep(5)
    @driver.find_element(:id, "login").click
    sleep(1)
    @driver.find_element(:id, "name-c").clear
    @driver.find_element(:id, "name-c").send_keys "zztest.patient01"
    @driver.find_element(:id, "password").clear
    @driver.find_element(:id, "password").send_keys "pass"
    @driver.find_element(:id, "loginButton").click
    sleep(10)
    @driver.find_element(:id, "user-menu-btn").click
    sleep(5)
    @driver.find_element(:partial_link_text, "About").click

    # The below test is not finalized yet sotThe below asserts needs to be changed once we here back from Lauren
    assert(@driver.page_source.include?("VA Moms"), "App name not present on home page.")
    string_present = @driver.page_source.include?("Enter information from their prenatal and postpartum appointments")
    assert(string_present, "first bulletin not found")
    assert(@driver.page_source.include?("Write notes about topics they want to remember or share with their health care team"),"second bulletin not found");
    assert(@driver.page_source.include?("Find links to resources about pregnancy and breastfeeding"),"Find links text not found in about page - Third Bulletin not found");

    # footer contains app name/version and logged in status
    assert_equal("VA Moms v1.0.0",@driver.find_element(:class, "version").text)
    # This is to check the footer version and the basic app version in about page is similar or not
    assert(@driver.page_source.include?(@driver.find_element(:class, "version").text), "The version is not matching with the footer ")

    #Clicking on UserGuide Link
    @driver.find_element(:link, "VA Moms User Guide v1.0.0").click
    @driver.navigate.back()

  end

end
