require_relative 'Functions'
require "json"
require "selenium-webdriver"
gem "test-unit"
require "test/unit"

class LaunchApp < Test::Unit::TestCase
  def setup
    @driver = Selenium::WebDriver.for :firefox
    @accept_next_alert = true
    @driver.manage.timeouts.implicit_wait = 30
    @verification_errors = []

    set_variables()

  end

  def teardown
    @driver.quit
    assert_equal [], @verification_errors

  end

  def test_EULA

    #MTS-15 EULA

      #MTS-175 Verify the EULA is displayed for first time users
      @driver.get(@app_url)
      #wait {@driver.navigate.refresh}

      # MTS-116 Create EULA view for decline
      sleep 5
      verify {assert(@driver.page_source.include?("By agreeing to install"), "Unable to find string on EULA page")}
      @driver.find_element(:id, "decline-button").click
      sleep 1
      verify {assert(@driver.find_element(:partial_link_text, "VA Moms"), "Unable to find app icon on Launchpad")}

      # On selecting the VA Moms app icon from the launchpad will direct the user to VA Moms app
      @driver.find_element(:partial_link_text, "VA Moms").click
      sleep 5
      verify {assert(@driver.page_source.include?("By agreeing to install"), "Unable to find string on EULA page")}
      @driver.find_element(:id, "accept-button").click
      sleep 1

  end

end