
def set_variables
  puts "In set variables"
  #@base_url = "https://hatest.agilexhealth.com/"
  
  @base_url = "http://localhost:8080/"
  #@base_url = "http://54.211.31.142:8080/"
  @app_url = @base_url+"va-moms/"
  @launch_pad_url = @base_url+"launchpad/"

  #veteran-dev-net
  @username="zztest.patient01"
  @pwd = "pass"
  @login_status = "patient01, zztest"

end

def accept_eula
  @driver.get(@app_url)
  @driver.navigate.refresh()
  wait {@driver.find_element(:id, "accept-button").click}
end

def veteran_login
  @driver.get(@app_url)
  @driver.find_element(:id, "login").click
  @driver.find_element(:id, "name-c").clear
  wait {@driver.find_element(:id, "name-c").send_keys @username}
  @driver.find_element(:id, "password").clear
  wait {@driver.find_element(:id, "password").send_keys @pwd}
  wait {@driver.find_element(:id, "loginButton").click}
end

def verify(&blk)
  yield
  rescue Test::Unit::AssertionFailedError => ex
  @verification_errors << ex
end

def wait(&blk)
  wait = Selenium::WebDriver::Wait.new(:timeout => 40)
  wait.until {yield}
end

def enter_text_field(field_name, text_to_enter)
  @driver.find_element(:id, field_name).clear
  @driver.find_element(:id, field_name).send_keys text_to_enter
  @driver.find_element(:id, field_name).send_keys :tab
end

def check_max_field_length(field_to_check, expected_text, long_text)
  @driver.find_element(:id, field_to_check).clear
  @driver.find_element(:id, field_to_check).send_keys long_text
  @driver.find_element(:id, field_to_check).send_keys :tab
  assert_equal(expected_text, @driver.find_element(:id, field_to_check).attribute("value"))
end
